<?xml version="1.0" encoding="UTF-8"?>
<!--

    Copyright (C) 2015 The Gravitee team (http://gravitee.io)

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

-->
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>io.gravitee.apim</groupId>
        <artifactId>gravitee-api-management</artifactId>
        <version>${revision}${sha1}${changelist}</version>
    </parent>

    <groupId>io.gravitee.apim.distribution</groupId>
    <artifactId>gravitee-apim-distribution</artifactId>
    <packaging>pom</packaging>

    <name>Gravitee.io APIM - Distribution</name>

    <!--
        This pom.xml is used to prepare the full distribution of Management API & Gateway.
        It defines all dependencies that have to be bundled by default in each component.
        To add a new plugin in the bundle:
         1. add the version in the <properties> section.
            please respect alphabetic order and the separation between Gateway only, Management only and both
         2. add the plugin in the <dependencies> section with <type>zip</type> and <scope>runtime</scope>.

        To add plugins only for the dev environment, follow the same steps in the distribution-dev profile defined at the end of this file
    -->

    <properties>
        <!-- Versions of the plugins for the full distribution -->
        <!-- Management API & Gateway -->
        <gravitee-alert-engine-connectors-ws.version>2.0.0</gravitee-alert-engine-connectors-ws.version>
        <gravitee-connector-http.version>2.1.1</gravitee-connector-http.version>
        <gravitee-policy-apikey.version>3.0.1-alpha.1</gravitee-policy-apikey.version>
        <gravitee-policy-assign-attributes.version>1.5.1</gravitee-policy-assign-attributes.version>
        <gravitee-policy-assign-content.version>1.7.0</gravitee-policy-assign-content.version>
        <gravitee-policy-cache.version>1.15.2</gravitee-policy-cache.version>
        <gravitee-policy-callout-http.version>2.0.1</gravitee-policy-callout-http.version>
        <gravitee-policy-dynamic-routing.version>1.11.1</gravitee-policy-dynamic-routing.version>
        <gravitee-policy-generate-http-signature.version>1.1.0</gravitee-policy-generate-http-signature.version>
        <gravitee-policy-generate-jwt.version>1.5.0</gravitee-policy-generate-jwt.version>
        <gravitee-policy-groovy.version>2.2.2</gravitee-policy-groovy.version>
        <gravitee-policy-html-json.version>1.6.0</gravitee-policy-html-json.version>
        <gravitee-policy-http-signature.version>1.5.0</gravitee-policy-http-signature.version>
        <gravitee-policy-ipfiltering.version>1.9.0</gravitee-policy-ipfiltering.version>
        <gravitee-policy-json-threat-protection.version>1.3.3</gravitee-policy-json-threat-protection.version>
        <gravitee-policy-json-to-json.version>2.0.0-alpha.1</gravitee-policy-json-to-json.version>
        <gravitee-policy-json-validation.version>1.6.1</gravitee-policy-json-validation.version>
        <gravitee-policy-json-xml.version>2.0.0</gravitee-policy-json-xml.version>
        <gravitee-policy-jws.version>1.3.2</gravitee-policy-jws.version>
        <gravitee-policy-jwt.version>3.0.1-alpha.1</gravitee-policy-jwt.version>
        <gravitee-policy-keyless.version>2.0.1-alpha.1</gravitee-policy-keyless.version>
        <gravitee-policy-latency.version>1.4.0</gravitee-policy-latency.version>
        <gravitee-policy-metrics-reporter.version>2.0.0</gravitee-policy-metrics-reporter.version>
        <gravitee-policy-message-filtering.version>1.0.0</gravitee-policy-message-filtering.version>
        <gravitee-policy-mock.version>1.13.0</gravitee-policy-mock.version>
	    <gravitee-policy-oauth2.version>2.0.1-alpha.1</gravitee-policy-oauth2.version>
        <gravitee-policy-openid-connect-userinfo.version>1.5.2</gravitee-policy-openid-connect-userinfo.version>
        <gravitee-policy-override-http-method.version>2.0.0-alpha.1</gravitee-policy-override-http-method.version>
        <!--    Version of policy-ratelimit is also used for policy-quota, policy-spikearrest and gateway-services-ratelimit    -->
        <!--    <gravitee-policy-quota.version>1.15.0</gravitee-policy-quota.version>    -->
        <!--    <gravitee-policy-spikearrest.version>1.15.0</gravitee-policy-spikearrest.version>    -->
        <gravitee-policy-ratelimit.version>2.0.0</gravitee-policy-ratelimit.version>
        <gravitee-policy-regex-threat-protection.version>1.3.2</gravitee-policy-regex-threat-protection.version>
        <gravitee-policy-request-content-limit.version>1.8.0</gravitee-policy-request-content-limit.version>
        <gravitee-policy-request-validation.version>1.13.0</gravitee-policy-request-validation.version>
        <gravitee-policy-resource-filtering.version>1.8.0</gravitee-policy-resource-filtering.version>
        <gravitee-policy-rest-to-soap.version>1.13.0</gravitee-policy-rest-to-soap.version>
        <gravitee-policy-retry.version>2.1.0</gravitee-policy-retry.version>
        <gravitee-policy-role-based-access-control.version>1.1.0</gravitee-policy-role-based-access-control.version>
        <gravitee-policy-ssl-enforcement.version>1.2.1</gravitee-policy-ssl-enforcement.version>
        <gravitee-policy-traffic-shadowing.version>1.1.0</gravitee-policy-traffic-shadowing.version>
        <gravitee-policy-transformheaders.version>1.10.0</gravitee-policy-transformheaders.version>
        <gravitee-policy-transformqueryparams.version>1.6.0</gravitee-policy-transformqueryparams.version>
        <gravitee-policy-url-rewriting.version>1.5.0</gravitee-policy-url-rewriting.version>
        <gravitee-policy-xml-json.version>1.8.1</gravitee-policy-xml-json.version>
        <gravitee-policy-xml-threat-protection.version>1.3.2</gravitee-policy-xml-threat-protection.version>
        <gravitee-policy-xml-validation.version>1.1.0</gravitee-policy-xml-validation.version>
        <gravitee-policy-xslt.version>2.0.0</gravitee-policy-xslt.version>
        <gravitee-resource-cache.version>1.9.0</gravitee-resource-cache.version>
        <gravitee-resource-oauth2-provider-am.version>2.0.0</gravitee-resource-oauth2-provider-am.version>
        <gravitee-resource-oauth2-provider-generic.version>2.0.0</gravitee-resource-oauth2-provider-generic.version>
        <gravitee-service-discovery-consul.version>1.3.0</gravitee-service-discovery-consul.version>
        <!-- Management API Only -->
        <gravitee-cockpit-connectors-ws.version>3.0.0</gravitee-cockpit-connectors-ws.version>
        <gravitee-fetcher-bitbucket.version>1.7.0</gravitee-fetcher-bitbucket.version>
        <gravitee-fetcher-git.version>1.8.1</gravitee-fetcher-git.version>
        <gravitee-fetcher-github.version>1.6.0</gravitee-fetcher-github.version>
        <gravitee-fetcher-gitlab.version>1.11.0</gravitee-fetcher-gitlab.version>
        <gravitee-fetcher-http.version>1.12.0</gravitee-fetcher-http.version>
        <gravitee-notifier-email.version>1.5.0</gravitee-notifier-email.version>
        <gravitee-notifier-slack.version>1.3.0</gravitee-notifier-slack.version>
        <gravitee-notifier-webhook.version>1.1.0</gravitee-notifier-webhook.version>
        <!-- Gateway Only -->
        <gravitee-reporter-elasticsearch.version>4.1.0-alpha.7</gravitee-reporter-elasticsearch.version>
        <gravitee-reporter-file.version>2.5.5</gravitee-reporter-file.version>
        <gravitee-reporter-tcp.version>1.4.4</gravitee-reporter-tcp.version>
        <!--    Version of policy-ratelimit is also used for policy-quota, policy-spikearrest and gateway-services-ratelimit    -->
        <!--    <gravitee-gateway-services-ratelimit.version>1.15.0</gravitee-gateway-services-ratelimit.version>    -->
        <gravitee-tracer-jaeger.version>1.2.0</gravitee-tracer-jaeger.version>
    </properties>

    <dependencies>
        <!-- Connectors -->
        <dependency>
            <groupId>io.gravitee.ae</groupId>
            <artifactId>gravitee-alert-engine-connectors-ws</artifactId>
            <version>${gravitee-alert-engine-connectors-ws.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.cockpit</groupId>
            <artifactId>gravitee-cockpit-connectors-ws</artifactId>
            <version>${gravitee-cockpit-connectors-ws.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.connector</groupId>
            <artifactId>gravitee-connector-http</artifactId>
            <version>${gravitee-connector-http.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>

        <!-- Entrypoints -->
        <dependency>
            <groupId>io.gravitee.apim.plugin.entrypoint</groupId>
            <artifactId>gravitee-apim-plugin-entrypoint-http-get</artifactId>
            <version>${project.version}</version>
            <scope>runtime</scope>
            <type>zip</type>
        </dependency>
        <dependency>
            <groupId>io.gravitee.apim.plugin.entrypoint</groupId>
            <artifactId>gravitee-apim-plugin-entrypoint-http-post</artifactId>
            <version>${project.version}</version>
            <scope>runtime</scope>
            <type>zip</type>
        </dependency>
        <dependency>
            <groupId>io.gravitee.apim.plugin.entrypoint</groupId>
            <artifactId>gravitee-apim-plugin-entrypoint-sse</artifactId>
            <version>${project.version}</version>
            <scope>runtime</scope>
            <type>zip</type>
        </dependency>
        <dependency>
            <groupId>io.gravitee.apim.plugin.entrypoint</groupId>
            <artifactId>gravitee-apim-plugin-entrypoint-webhook</artifactId>
            <version>${project.version}</version>
            <scope>runtime</scope>
            <type>zip</type>
        </dependency>
        <dependency>
            <groupId>io.gravitee.apim.plugin.entrypoint</groupId>
            <artifactId>gravitee-apim-plugin-entrypoint-websocket</artifactId>
            <version>${project.version}</version>
            <scope>runtime</scope>
            <type>zip</type>
        </dependency>
        <dependency>
            <groupId>io.gravitee.apim.plugin.entrypoint</groupId>
            <artifactId>gravitee-apim-plugin-entrypoint-http-proxy</artifactId>
            <version>${project.version}</version>
            <scope>runtime</scope>
            <type>zip</type>
        </dependency>

        <!-- Endpoints -->
        <dependency>
            <groupId>io.gravitee.apim.plugin.endpoint</groupId>
            <artifactId>gravitee-apim-plugin-endpoint-mock</artifactId>
            <version>${project.version}</version>
            <scope>runtime</scope>
            <type>zip</type>
        </dependency>
        <dependency>
            <groupId>io.gravitee.apim.plugin.endpoint</groupId>
            <artifactId>gravitee-apim-plugin-endpoint-kafka</artifactId>
            <version>${project.version}</version>
            <scope>runtime</scope>
            <type>zip</type>
        </dependency>
        <dependency>
            <groupId>io.gravitee.apim.plugin.endpoint</groupId>
            <artifactId>gravitee-apim-plugin-endpoint-mqtt5</artifactId>
            <version>${project.version}</version>
            <scope>runtime</scope>
            <type>zip</type>
        </dependency>
        <dependency>
            <groupId>io.gravitee.apim.plugin.endpoint</groupId>
            <artifactId>gravitee-apim-plugin-endpoint-http-proxy</artifactId>
            <version>${project.version}</version>
            <scope>runtime</scope>
            <type>zip</type>
        </dependency>

        <!-- Fetchers -->
        <dependency>
            <groupId>io.gravitee.fetcher</groupId>
            <artifactId>gravitee-fetcher-bitbucket</artifactId>
            <version>${gravitee-fetcher-bitbucket.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.fetcher</groupId>
            <artifactId>gravitee-fetcher-git</artifactId>
            <version>${gravitee-fetcher-git.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.fetcher</groupId>
            <artifactId>gravitee-fetcher-github</artifactId>
            <version>${gravitee-fetcher-github.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.fetcher</groupId>
            <artifactId>gravitee-fetcher-gitlab</artifactId>
            <version>${gravitee-fetcher-gitlab.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.fetcher</groupId>
            <artifactId>gravitee-fetcher-http</artifactId>
            <version>${gravitee-fetcher-http.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <!-- Notifiers -->
        <dependency>
            <groupId>io.gravitee.notifier</groupId>
            <artifactId>gravitee-notifier-email</artifactId>
            <version>${gravitee-notifier-email.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.notifier</groupId>
            <artifactId>gravitee-notifier-slack</artifactId>
            <version>${gravitee-notifier-slack.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.notifier</groupId>
            <artifactId>gravitee-notifier-webhook</artifactId>
            <version>${gravitee-notifier-webhook.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <!-- Policies -->
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-apikey</artifactId>
            <version>${gravitee-policy-apikey.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-assign-attributes</artifactId>
            <version>${gravitee-policy-assign-attributes.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-assign-content</artifactId>
            <version>${gravitee-policy-assign-content.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-cache</artifactId>
            <version>${gravitee-policy-cache.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-callout-http</artifactId>
            <version>${gravitee-policy-callout-http.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-dynamic-routing</artifactId>
            <version>${gravitee-policy-dynamic-routing.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-generate-http-signature</artifactId>
            <version>${gravitee-policy-generate-http-signature.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-generate-jwt</artifactId>
            <version>${gravitee-policy-generate-jwt.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-groovy</artifactId>
            <version>${gravitee-policy-groovy.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-html-json</artifactId>
            <version>${gravitee-policy-html-json.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-http-signature</artifactId>
            <version>${gravitee-policy-http-signature.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-ipfiltering</artifactId>
            <version>${gravitee-policy-ipfiltering.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-json-threat-protection</artifactId>
            <version>${gravitee-policy-json-threat-protection.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-json-to-json</artifactId>
            <version>${gravitee-policy-json-to-json.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-json-validation</artifactId>
            <version>${gravitee-policy-json-validation.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-json-xml</artifactId>
            <version>${gravitee-policy-json-xml.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-jws</artifactId>
            <version>${gravitee-policy-jws.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-jwt</artifactId>
            <version>${gravitee-policy-jwt.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-keyless</artifactId>
            <version>${gravitee-policy-keyless.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-latency</artifactId>
            <version>${gravitee-policy-latency.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-metrics-reporter</artifactId>
            <version>${gravitee-policy-metrics-reporter.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-message-filtering</artifactId>
            <version>${gravitee-policy-message-filtering.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-mock</artifactId>
            <version>${gravitee-policy-mock.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-oauth2</artifactId>
            <version>${gravitee-policy-oauth2.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-openid-connect-userinfo</artifactId>
            <version>${gravitee-policy-openid-connect-userinfo.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-override-http-method</artifactId>
            <version>${gravitee-policy-override-http-method.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-quota</artifactId>
            <version>${gravitee-policy-ratelimit.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-ratelimit</artifactId>
            <version>${gravitee-policy-ratelimit.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-regex-threat-protection</artifactId>
            <version>${gravitee-policy-regex-threat-protection.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-request-content-limit</artifactId>
            <version>${gravitee-policy-request-content-limit.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-request-validation</artifactId>
            <version>${gravitee-policy-request-validation.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-resource-filtering</artifactId>
            <version>${gravitee-policy-resource-filtering.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-rest-to-soap</artifactId>
            <version>${gravitee-policy-rest-to-soap.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-retry</artifactId>
            <version>${gravitee-policy-retry.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-role-based-access-control</artifactId>
            <version>${gravitee-policy-role-based-access-control.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-spikearrest</artifactId>
            <version>${gravitee-policy-ratelimit.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-ssl-enforcement</artifactId>
            <version>${gravitee-policy-ssl-enforcement.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-traffic-shadowing</artifactId>
            <version>${gravitee-policy-traffic-shadowing.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-transformheaders</artifactId>
            <version>${gravitee-policy-transformheaders.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-transformqueryparams</artifactId>
            <version>${gravitee-policy-transformqueryparams.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-url-rewriting</artifactId>
            <version>${gravitee-policy-url-rewriting.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-xml-json</artifactId>
            <version>${gravitee-policy-xml-json.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-xml-threat-protection</artifactId>
            <version>${gravitee-policy-xml-threat-protection.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-xml-validation</artifactId>
            <version>${gravitee-policy-xml-validation.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-policy-xslt</artifactId>
            <version>${gravitee-policy-xslt.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>

        <!-- Reporters -->
        <dependency>
            <groupId>io.gravitee.reporter</groupId>
            <artifactId>gravitee-reporter-elasticsearch</artifactId>
            <version>${gravitee-reporter-elasticsearch.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.reporter</groupId>
            <artifactId>gravitee-reporter-file</artifactId>
            <version>${gravitee-reporter-file.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.reporter</groupId>
            <artifactId>gravitee-reporter-tcp</artifactId>
            <version>${gravitee-reporter-tcp.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>

        <!-- Repositories -->
        <dependency>
            <groupId>io.gravitee.apim.repository.gateway.bridge.http</groupId>
            <artifactId>gravitee-apim-repository-gateway-bridge-http-server</artifactId>
            <version>${project.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.apim.repository.gateway.bridge.http</groupId>
            <artifactId>gravitee-apim-repository-gateway-bridge-http-client</artifactId>
            <version>${project.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.apim.repository</groupId>
            <artifactId>gravitee-apim-repository-jdbc</artifactId>
            <version>${project.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.apim.repository</groupId>
            <artifactId>gravitee-apim-repository-mongodb</artifactId>
            <version>${project.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.apim.repository</groupId>
            <artifactId>gravitee-apim-repository-elasticsearch</artifactId>
            <version>${project.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>

        <!-- Resources -->
        <dependency>
            <groupId>io.gravitee.resource</groupId>
            <artifactId>gravitee-resource-cache</artifactId>
            <version>${gravitee-resource-cache.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.resource</groupId>
            <artifactId>gravitee-resource-oauth2-provider-am</artifactId>
            <version>${gravitee-resource-oauth2-provider-am.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.resource</groupId>
            <artifactId>gravitee-resource-oauth2-provider-generic</artifactId>
            <version>${gravitee-resource-oauth2-provider-generic.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>

        <!-- Services -->
        <dependency>
            <groupId>io.gravitee.discovery</groupId>
            <artifactId>gravitee-service-discovery-consul</artifactId>
            <version>${gravitee-service-discovery-consul.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.gravitee.policy</groupId>
            <artifactId>gravitee-gateway-services-ratelimit</artifactId>
            <version>${gravitee-policy-ratelimit.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>

        <!-- Tracers -->
        <dependency>
            <groupId>io.gravitee.tracer</groupId>
            <artifactId>gravitee-tracer-jaeger</artifactId>
            <version>${gravitee-tracer-jaeger.version}</version>
            <type>zip</type>
            <scope>runtime</scope>
        </dependency>
    </dependencies>

    <build>
        <pluginManagement>
            <plugins>
                <plugin>
                    <artifactId>maven-assembly-plugin</artifactId>
                    <executions>
                        <execution>
                            <!-- avoid the execution defined in APIM parent pom.xml to be executed -->
                            <id>make-plugin-assembly</id>
                            <phase>none</phase>
                        </execution>
                        <execution>
                            <id>make-distribution</id>
                            <phase>package</phase>
                            <goals>
                                <goal>single</goal>
                            </goals>
                            <configuration>
                                <attach>false</attach>
                                <finalName>distribution</finalName>
                                <appendAssemblyId>false</appendAssemblyId>
                                <descriptors>
                                    <descriptor>src/main/assembly/plugin-assembly-distribution.xml</descriptor>
                                </descriptors>
                            </configuration>
                        </execution>
                    </executions>
                </plugin>
            </plugins>
        </pluginManagement>
    </build>
    <profiles>
        <profile>
            <id>distribution-dev</id>
            <activation>
                <property>
                    <name>distribution-dev</name>
                    <value>true</value>
                </property>
            </activation>
            <properties>
                <!-- Versions of the plugins for the full distribution on dev environment-->
                <!-- Management API & Gateway -->
                <!-- Community plugins -->
                <gravitee-connector-kafka.version>1.1.1</gravitee-connector-kafka.version>
                <gravitee-policy-aws-lambda.version>1.1.0</gravitee-policy-aws-lambda.version>
                <gravitee-policy-basic-authentication.version>1.4.1</gravitee-policy-basic-authentication.version>
                <gravitee-policy-circuit-breaker.version>1.1.3</gravitee-policy-circuit-breaker.version>
                <gravitee-policy-geoip-filtering.version>1.1.1</gravitee-policy-geoip-filtering.version>
                <gravitee-policy-javascript.version>1.1.1</gravitee-policy-javascript.version>
                <gravitee-policy-wssecurity-authentication.version>1.0.0</gravitee-policy-wssecurity-authentication.version>
                <gravitee-resource-auth-provider-http.version>1.3.0</gravitee-resource-auth-provider-http.version>
                <gravitee-resource-auth-provider-inline.version>1.3.0</gravitee-resource-auth-provider-inline.version>
                <gravitee-resource-auth-provider-ldap.version>1.3.0</gravitee-resource-auth-provider-ldap.version>
                <gravitee-resource-cache-redis.version>1.2.0</gravitee-resource-cache-redis.version>
                <gravitee-resource-oauth2-provider-keycloak.version>1.9.2</gravitee-resource-oauth2-provider-keycloak.version>
                <!-- Using service GeoIP requires to adapt Java HeapSpace: https://github.com/gravitee-io/gravitee-service-geoip/blob/master/README.adoc -->
                <!-- So keep it commented for the moment -->
                <!-- <gravitee-service-geoip.version>1.1.0</gravitee-service-geoip.version>-->

                <!-- Enterprise plugins -->
                <gravitee-policy-assign-metrics.version>2.0.1</gravitee-policy-assign-metrics.version>
                <gravitee-policy-data-logging-masking.version>2.0.3</gravitee-policy-data-logging-masking.version>
                <gravitee-policy-interrupt.version>1.1.0</gravitee-policy-interrupt.version>
                <gravitee-entrypoint-sse-advanced.version>3.0.0-alpha.1</gravitee-entrypoint-sse-advanced.version>
                <gravitee-entrypoint-webhook-advanced.version>1.0.0-alpha.3</gravitee-entrypoint-webhook-advanced.version>
                <gravitee-endpoint-kafka-advanced.version>1.0.1-alpha.3</gravitee-endpoint-kafka-advanced.version>
                <gravitee-endpoint-mqtt5-advanced.version>1.0.0-alpha.4</gravitee-endpoint-mqtt5-advanced.version>

                <!-- Management API Only -->
                <!-- Gateway Only -->
            </properties>
            <dependencies>
                <!-- Connectors -->
                <dependency>
                    <groupId>io.gravitee.connector</groupId>
                    <artifactId>gravitee-connector-kafka</artifactId>
                    <version>${gravitee-connector-kafka.version}</version>
                    <type>zip</type>
                    <scope>runtime</scope>
                </dependency>
                <!-- Entrypoints -->
                <dependency>
                    <groupId>com.graviteesource.entrypoint</groupId>
                    <artifactId>gravitee-entrypoint-sse-advanced</artifactId>
                    <version>${gravitee-entrypoint-sse-advanced.version}</version>
                    <type>zip</type>
                    <scope>runtime</scope>
                </dependency>
                <dependency>
                    <groupId>com.graviteesource.entrypoint</groupId>
                    <artifactId>gravitee-entrypoint-webhook-advanced</artifactId>
                    <version>${gravitee-entrypoint-webhook-advanced.version}</version>
                    <scope>runtime</scope>
                    <type>zip</type>
                </dependency>
                <!-- Endpoints -->
                <dependency>
                    <groupId>com.graviteesource.endpoint</groupId>
                    <artifactId>gravitee-endpoint-kafka-advanced</artifactId>
                    <version>${gravitee-endpoint-kafka-advanced.version}</version>
                    <type>zip</type>
                    <scope>runtime</scope>
                </dependency>
                <dependency>
                    <groupId>com.graviteesource.endpoint</groupId>
                    <artifactId>gravitee-endpoint-mqtt5-advanced</artifactId>
                    <version>${gravitee-endpoint-mqtt5-advanced.version}</version>
                    <type>zip</type>
                    <scope>runtime</scope>
                </dependency>
                <!-- Policies -->
                <dependency>
                    <groupId>com.graviteesource.policy</groupId>
                    <artifactId>gravitee-policy-assign-metrics</artifactId>
                    <version>${gravitee-policy-assign-metrics.version}</version>
                    <type>zip</type>
                    <scope>runtime</scope>
                </dependency>
                <dependency>
                    <groupId>io.gravitee.policy</groupId>
                    <artifactId>gravitee-policy-aws-lambda</artifactId>
                    <version>${gravitee-policy-aws-lambda.version}</version>
                    <type>zip</type>
                    <scope>runtime</scope>
                </dependency>
                <dependency>
                    <groupId>io.gravitee.policy</groupId>
                    <artifactId>gravitee-policy-basic-authentication</artifactId>
                    <version>${gravitee-policy-basic-authentication.version}</version>
                    <type>zip</type>
                    <scope>runtime</scope>
                </dependency>
                <dependency>
                    <groupId>io.gravitee.policy</groupId>
                    <artifactId>gravitee-policy-circuit-breaker</artifactId>
                    <version>${gravitee-policy-circuit-breaker.version}</version>
                    <type>zip</type>
                    <scope>runtime</scope>
                </dependency>
                <dependency>
                    <groupId>com.graviteesource.policy</groupId>
                    <artifactId>gravitee-policy-data-logging-masking</artifactId>
                    <version>${gravitee-policy-data-logging-masking.version}</version>
                    <type>zip</type>
                    <scope>runtime</scope>
                    <exclusions>
                        <exclusion>
                            <groupId>com.jayway.jsonpath</groupId>
                            <artifactId>json-path</artifactId>
                        </exclusion>
                    </exclusions>
                </dependency>
                <dependency>
                    <groupId>io.gravitee.policy</groupId>
                    <artifactId>gravitee-policy-geoip-filtering</artifactId>
                    <version>${gravitee-policy-geoip-filtering.version}</version>
                    <type>zip</type>
                    <scope>runtime</scope>
                </dependency>
                <dependency>
                    <groupId>io.gravitee.policy</groupId>
                    <artifactId>gravitee-policy-javascript</artifactId>
                    <version>${gravitee-policy-javascript.version}</version>
                    <type>zip</type>
                    <scope>runtime</scope>
                </dependency>
                <dependency>
                    <groupId>io.gravitee.policy</groupId>
                    <artifactId>gravitee-policy-wssecurity-authentication</artifactId>
                    <version>${gravitee-policy-wssecurity-authentication.version}</version>
                    <type>zip</type>
                    <scope>runtime</scope>
                </dependency>
                <dependency>
                    <groupId>io.gravitee.policy</groupId>
                    <artifactId>gravitee-policy-interrupt</artifactId>
                    <version>${gravitee-policy-interrupt.version}</version>
                    <type>zip</type>
                    <scope>runtime</scope>
                </dependency>
                <!-- Resources -->
                <dependency>
                    <groupId>io.gravitee.resource</groupId>
                    <artifactId>gravitee-resource-auth-provider-http</artifactId>
                    <version>${gravitee-resource-auth-provider-http.version}</version>
                    <type>zip</type>
                    <scope>runtime</scope>
                </dependency>
                <dependency>
                    <groupId>io.gravitee.resource</groupId>
                    <artifactId>gravitee-resource-auth-provider-inline</artifactId>
                    <version>${gravitee-resource-auth-provider-inline.version}</version>
                    <type>zip</type>
                    <scope>runtime</scope>
                </dependency>
                <dependency>
                    <groupId>io.gravitee.resource</groupId>
                    <artifactId>gravitee-resource-auth-provider-ldap</artifactId>
                    <version>${gravitee-resource-auth-provider-ldap.version}</version>
                    <type>zip</type>
                    <scope>runtime</scope>
                </dependency>
                <dependency>
                    <groupId>io.gravitee.resource</groupId>
                    <artifactId>gravitee-resource-cache-redis</artifactId>
                    <version>${gravitee-resource-cache-redis.version}</version>
                    <type>zip</type>
                    <scope>runtime</scope>
                </dependency>
                <dependency>
                    <groupId>io.gravitee.resource</groupId>
                    <artifactId>gravitee-resource-oauth2-provider-keycloak</artifactId>
                    <version>${gravitee-resource-oauth2-provider-keycloak.version}</version>
                    <type>zip</type>
                    <scope>runtime</scope>
                </dependency>

                <!-- Services -->
                <!-- Using service GeoIP requires to adapt Java HeapSpace: https://github.com/gravitee-io/gravitee-service-geoip/blob/master/README.adoc -->
                <!-- So keep it commented for the moment -->
                <!-- <dependency>-->
                <!--     <groupId>io.gravitee.service</groupId>-->
                <!--     <artifactId>gravitee-service-geoip</artifactId>-->
                <!--     <version>${gravitee-service-geoip.version}</version>-->
                <!--     <type>zip</type>-->
                <!--     <scope>runtime</scope>-->
                <!-- </dependency>-->
            </dependencies>
        </profile>
        <profile>
            <id>gio-release</id>
            <activation>
                <property>
                    <name>gio-release</name>
                    <value>true</value>
                </property>
            </activation>
            <build>
                <plugins>
                    <plugin>
                        <artifactId>maven-assembly-plugin</artifactId>
                        <executions>
                            <execution>
                                <!-- don't build the full distribution when releasing -->
                                <id>make-distribution</id>
                                <phase>none</phase>
                            </execution>
                        </executions>
                    </plugin>
                </plugins>
            </build>
        </profile>
        <profile>
            <id>gravitee-release</id>
            <activation>
                <property>
                    <name>gravitee-release</name>
                    <value>true</value>
                </property>
            </activation>
            <build>
                <plugins>
                    <plugin>
                        <artifactId>maven-assembly-plugin</artifactId>
                        <executions>
                            <execution>
                                <!-- don't build the full distribution when releasing -->
                                <id>make-distribution</id>
                                <phase>none</phase>
                            </execution>
                        </executions>
                    </plugin>
                </plugins>
            </build>
        </profile>
    </profiles>
</project>
